<?php

/**
 * Created by tpay.com
 */
class tpayPayment
{

    public function __construct()
    {
        if ($this->checkPost()) {
            $this->payment();
        } else {
            echo 'Nieprawidłowa kwota';
            throw new UnexpectedValueException("Nieprawidłowa kwota");
        }
    }

    public function checkPost()
    {
        return (is_numeric(str_replace(',', '.', filter_input(INPUT_POST,'kwota'))));
    }

    public function payment()
    {
        // wpisz kod bezpieczeństwa z panelu odbiorcy płatności
        $kod = 'demo';
        // wpisz swój ID sprzedawcy w systemie tpay.com
        $id = '1010';
        // wpisz swój opis transakcji
        $opis = 'Wpłata na rzecz fundacji X';
        // crc - ciąg pomocniczy
        $crc = '1234';

        $url = 'https://secure.tpay.com';
        $kwota = filter_input(INPUT_POST,'kwota');
        $md5sum = md5($id .'&'. $kwota .'&'. $crc .'&'. $kod);
        $data = array(
            'id'     => $id,
            'kwota'  => $kwota,
            'opis'   => $opis,
            'crc'    => $crc,
            'md5sum' => $md5sum,
            'imie' => filter_input(INPUT_POST,'imie'),
            'nazwisko' => filter_input(INPUT_POST,'nazwisko'),
            'email' => filter_input(INPUT_POST,'email'),
            'miasto' => filter_input(INPUT_POST,'miasto'),
            'kod' => filter_input(INPUT_POST,'kod'),
            'kraj' => filter_input(INPUT_POST,'kraj'),
            'telefon' => filter_input(INPUT_POST,'telefon'),
            'pow_url' => filter_input(INPUT_POST,'pow_url'),
            'pow_url_blad' => filter_input(INPUT_POST,'pow_url_blad'),
            'wyn_url' => filter_input(INPUT_POST,'wyn_url'),
            'opis_sprzed' => filter_input(INPUT_POST,'opis_sprzed'),
        );
        echo '<form action="' . $url . '" method=POST>';
        foreach ($data as $key => $value) {
            echo '<input type="hidden" name="' . $key . '" value="' . $value . '">';
        }
        echo '<input type="SUBMIT" value="zapłać">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script type="text/javascript">
  $(document).ready(function() {
    window.document.forms[0].submit();
  });
</script>
';

    }

}

new tpayPayment();
